// ./db.js
require('dotenv').config();
const knex = require('knex');
const knexfile = require('./knexfile');

// Pega o ambiente (default pra 'development')
const environment = process.env.NODE_ENV || 'development';

// Recupera só as configurações daquele ambiente
const config = knexfile[environment];

// Inicializa o Knex com esse config
const db = knex(config);

module.exports = db;
